### Method

# Gtk TreePath compare

#### Declaration [src]

    int
    gtk_tree_path_compare (
      const GtkTreePath* a,
      const GtkTreePath* b
    )

#### Description [src]

Compares two paths.

If `a` appears before `b` in a tree, then -1 is returned. If `b` appears before `a`, then 1 is returned. If the two nodes are equal, then 0 is returned.

#### Parameters

`b` | `GtkTreePath`
| A `GtkTreePath` to compare with.
| The data is owned by the caller of the function.

#### Return value

Returns: | `int`
| The relative positions of `a` and `b`.